Get Current Account

View as MarkdownOpen in Claude
Get information about the current user's account. **Required scope:** `account_info.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Whole Team)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
account_idstring=40 characters
The user's unique Dropbox ID.
account_typeobject
What type of account this user has.
disabledboolean
Whether the user has been disabled.
emailstring

The user’s email address. Do not rely on this without checking the email_verified field. Even then, it’s possible that the user has since lost access to their email.

email_verifiedboolean
Whether the user has verified their email address.
is_pairedboolean

Whether the user has a personal and work account. If the current account is personal, then team will always be null, but is_paired will indicate if a work account is linked.

localestring>=2 characters

The language that the user specified. Locale tags will be IETF language tags.

nameobject
Details of a user's name.
root_infoobject
The root info for this account.
countrystring or nullOptional=2 characters

The user’s two-letter country code, if available. Country codes are based on ISO 3166-1.

profile_photo_urlstring or nullOptional
URL for the photo representing the user, if one is set.
teamobject or nullOptional
If this account is a member of a team, information about that team.
team_member_idstring or nullOptional

This account’s unique team member id. This field will only be present if team is present.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error